gdjs._1083_1086_1073_1080Code = {};
gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1= [];
gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects2= [];
gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1= [];
gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects2= [];
gdjs._1083_1086_1073_1080Code.GDNewTiledSpriteObjects1= [];
gdjs._1083_1086_1073_1080Code.GDNewTiledSpriteObjects2= [];
gdjs._1083_1086_1073_1080Code.GDNewTiledSprite2Objects1= [];
gdjs._1083_1086_1073_1080Code.GDNewTiledSprite2Objects2= [];
gdjs._1083_1086_1073_1080Code.GDNewTextObjects1= [];
gdjs._1083_1086_1073_1080Code.GDNewTextObjects2= [];


gdjs._1083_1086_1073_1080Code.eventsList0 = function(runtimeScene) {

{

gdjs.copyArray(runtimeScene.getObjects("WhiteDecoratedButton"), gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1.length;i<l;++i) {
    if ( gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1[k] = gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1[i];
        ++k;
    }
}
gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Кухня");
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("BlackDecoratedButton"), gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1.length;i<l;++i) {
    if ( gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1[k] = gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1[i];
        ++k;
    }
}
gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Вход");
}}

}


{


let isConditionTrue_0 = false;
{
}

}


{


let isConditionTrue_0 = false;
{
}

}


};

gdjs._1083_1086_1073_1080Code.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects1.length = 0;
gdjs._1083_1086_1073_1080Code.GDWhiteDecoratedButtonObjects2.length = 0;
gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects1.length = 0;
gdjs._1083_1086_1073_1080Code.GDBlackDecoratedButtonObjects2.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTiledSpriteObjects1.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTiledSpriteObjects2.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTiledSprite2Objects1.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTiledSprite2Objects2.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTextObjects1.length = 0;
gdjs._1083_1086_1073_1080Code.GDNewTextObjects2.length = 0;

gdjs._1083_1086_1073_1080Code.eventsList0(runtimeScene);

return;

}

gdjs['_1083_1086_1073_1080Code'] = gdjs._1083_1086_1073_1080Code;
